"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
class Home {
    constructor(app) {
        this.app = app;
    }
    get(ctx) {
        return __awaiter(this, void 0, void 0, function* () {
            const publicBaseURL = process.env.DASHBOARD_PUBLIC_BASE_URL || '/public';
            ctx.set('Content-Type', 'text/html');
            ctx.body = `
      <html>
        <head>
            <title>Pandora.js Dashboard</title>
        </head>
        <body>
            <div id="DUMP_APP_HERE" ></div>
            <script src="${publicBaseURL}/bundle.js" ></script>
        </body>
      </htmljw>
    `;
        });
    }
}
Home.route = '*';
exports.Home = Home;
//# sourceMappingURL=Home.js.map