import { WebServer } from './WebServer';
import { Home } from './impl/Home';
import { Static } from './impl/Static';
export default class Dashboard extends WebServer {
    getRoutes(): (typeof Home | typeof Static)[];
    getPort(): {
        port: number;
        host: string;
    };
    start(): Promise<void>;
    echoTestErrors(): Promise<void>;
}
