/// <reference types="koa" />
/// <reference types="koa-router" />
/// <reference types="node" />
import * as Koa from 'koa';
import { Server } from 'http';
export declare abstract class WebServer extends Koa {
    server: Server;
    router: any;
    pandoraContext: any;
    constructor(pandoraContext: any);
    setup(): void;
    abstract getRoutes(): any;
    abstract getPort(): {
        port: number;
        host: string;
    };
    start(): Promise<void>;
    stop(): Promise<void>;
}
